## org.apache.batik.css.engine
Class StringIntMap.Entry

    java.lang.Object
      org.apache.batik.css.engine.StringIntMap.Entry

Enclosing class:
  StringIntMap

protected static class StringIntMap.Entry
extends java.lang.Object

To manage collisions

Field Summary
`int` `hash` The hash code
`java.lang.String` `key` The key
`StringIntMap.Entry` `next` The next entry
`int` `value` The value

Constructor Summary
`StringIntMap.Entry(int hash, java.lang.String key, int value, StringIntMap.Entry next)` Creates a new entry

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hash

    public int hash

  The hash code

### key

    public java.lang.String key

  The key

### value

    public int value

  The value

### next

    public StringIntMap.Entry next

  The next entry

Constructor Detail

### StringIntMap.Entry

    public StringIntMap.Entry(int hash,
                              java.lang.String key,
                              int value,
                              StringIntMap.Entry next)

  Creates a new entry

Copyright © 2004 Apache Software Foundation. All Rights Reserved.